package com.zoniot.ccrc.commom.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

@Data
public class BuildingData {

    private Integer id;

    private Integer communityId;

    private Integer customerId;

    private String name;

    private String address;

    private Integer province;

    private Integer city;

    private Integer region;

    private Double longitude;

    private Double latitude;

    private Integer status;
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date updateDate;


}
