package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.entity.Role;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RoleMapper {
    int insert(@Param("role") Role role);

    int insertSelective(@Param("role") Role role);

    int insertList(@Param("roles") List<Role> roles);

    int updateByPrimaryKeySelective(@Param("role") Role role);

    List<Role> getRoleList(@Param("name") String name);

    int delRole(@Param("roleId") Integer roleId, @Param("updateBy") String updateBy);

    Role findBySiteIdAndType(@Param("siteId") Integer siteId, @Param("type") Integer type);

    List<Role> getBySiteIdAndType(@Param("siteId") Integer siteId, @Param("name") String name, @Param("type") Integer type);

    List<Role> findByType(@Param("type") Integer type);

    Role findById(@Param("roleId") Integer roleId);

    int findByNameUnique(@Param("id") Integer id, @Param("siteId") Integer siteId, @Param("name") String name);
}
