package com.zoniot.ccrc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @program: water-query
 * @description: 阶梯信息
 * @author: Yangyang.Wang
 * @create: 2020-05-10 19:56
 **/
@Data
public class LadderInfoDto {

    @ApiModelProperty(value="阶梯名称")
    private  String ladderName;

    @ApiModelProperty(value="最小值")
    private BigDecimal minValue;


    @ApiModelProperty(value="最大值")
    private BigDecimal maxValue;

    @ApiModelProperty(value="阶段水价")
    private BigDecimal waterPrice;


}
