package com.zoniot.ccrc.commom.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

@Data
public class CommunityData {
    private Integer id;

    private String name;

    private String code;

    private Integer customerId;

    private Integer province;

    private Integer city;

    private Integer region;

    private Double longitude;

    private Double latitude;

    private Integer districtId;

    private String address;

    private String remark;

    private Integer status;
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date dateCreate;
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date dateUpdate;

}
