package com.zoniot.ccrc.commom.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

@Data
public class DeviceData {
    private Long id;
    private String deviceNo;
    private String meterNo;
    private String fileNo;
    private String sealNo;
    private Integer sysId;
    private Integer customerId;
    private Integer deviceTypeId;
    private Integer manufacturerId;
    private Integer buildingId;
    private Integer communityId;
    private String locDesc;
    private Double meterReading;
    private Integer valveStatus;
    private Integer status;
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date lastReceiveTime;
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date dateCreate;
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date dateUpdate;
}
