package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.entity.Message;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MessageMapper {
    int insertSelective(Message record);

    int updateByPrimaryKeySelective(Message record);

    int batchInsert(@Param("list") List<Message> list);

    List<Message> getList(@Param("userId") Integer userId, @Param("read") Integer read);

    Integer getMessageCount(@Param("userId") Integer userId);

    int delMessage(@Param("ids") List<Integer> ids);

    int markRead(@Param("ids") List<Integer> ids);
}