package com.zoniot.ccrc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WaterPriceDto {
    @ApiModelProperty(value = "用水量", position = 1)
    private Double useVolume = 0.0;

    @ApiModelProperty(value = "水费", position = 2)
    private BigDecimal WaterPrice;

    @ApiModelProperty(value = "图片url", position = 3)
    private String pictureUrl;

    @ApiModelProperty(value = "开始时间", position = 4)
    private Integer startDate;

    @ApiModelProperty(value = "结束时间", position = 5)
    private Integer endDate;
}
