package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value="com-zcxk-water-entity-WarningMessage")
@Data
public class WarningMessage {
    @ApiModelProperty(value="")
    private Integer id;

    @ApiModelProperty(value="")
    private Integer warningLogId;

    @ApiModelProperty(value="")
    private String content;

    @ApiModelProperty(value="")
    private Integer status;

    @JsonIgnore
    @ApiModelProperty(value="",hidden = true)
    private String createBy;

    @ApiModelProperty(value="")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dateCreate;

    @JsonIgnore
    @ApiModelProperty(value="",hidden = true)
    private String updateBy;

    @JsonIgnore
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="",hidden = true)
    private LocalDateTime dateUpdate;
}